Index: resources/views/dashboard/files/index.blade.php
===================================================================
--- resources/views/dashboard/files/index.blade.php	(revision 169fcc8701d990f8e0b6b27804227d3e12cbc804)
+++ resources/views/dashboard/files/index.blade.php	(revision c08466cba95decb77a70c39ab51bc293853de96e)
@@ -76,7 +76,7 @@
                                             @else @if(in_array(explode('.', $file->name)[1], $imageExt))
                                                     <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                        <a href="{{ url('/uploads/' . $file->location) }}" class="image-popup-gallery-item">
+                                                        <a href="{{ url('/storage/' . $file->location) }}" class="image-popup-gallery-item">
                                                             <div class="image-hover">
-                                                                <img src="{{ url('/uploads/' . $file->location) }}" class="rounded" width="30" alt="image">
+                                                                <img src="{{ url('/storage/' . $file->location) }}" class="rounded" width="30" alt="image">
                                                             </div>
                                                         </a>
Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision 169fcc8701d990f8e0b6b27804227d3e12cbc804)
+++ resources/views/dashboard/folders/files.blade.php	(revision c08466cba95decb77a70c39ab51bc293853de96e)
@@ -10,6 +10,6 @@
                 <div class="card-body">
                     @if(auth()->user()->hasPermission('manage_all_folders'))
-                    <a class="btn btn-secondary btn-block text-white" href="javascript:void(0)" data-target="#editModal_{{$folder->id}}" data-toggle="modal">
-                        Upload
+                    <a class="btn btn-secondary btn-block text-white" href="javascript:void(0)" data-target="#createModal{{$folder->id}}" data-toggle="modal">
+                        Edit folder
                     </a>
                         @endif
@@ -44,5 +44,5 @@
                             <div class="dropdown-menu">
                                 <a class="dropdown-item" href="javascript:void(0)" data-toggle="modal" data-target="#editModal_{{$folder->id}}">
-                                    Upload
+                                    Edit folder
                                 </a>
                             </div>
@@ -88,7 +88,7 @@
                                     @else @if(in_array(explode('.', $file->name)[1], $imageExt))
                                             <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                <a href="{{ url('/uploads/' . $file->location) }}" class="image-popup-gallery-item">
+                                                <a href="{{ url('/storage/' . $file->location) }}" class="image-popup-gallery-item">
                                                     <div class="image-hover">
-                                                        <img src="{{ url('/uploads/' . $file->location) }}" class="rounded" width="100" alt="image">
+                                                        <img src="{{ url('/storage/' . $file->location) }}" class="rounded" width="100" alt="image">
                                                     </div>
                                                 </a>
Index: resources/views/dashboard/index.blade.php
===================================================================
--- resources/views/dashboard/index.blade.php	(revision 169fcc8701d990f8e0b6b27804227d3e12cbc804)
+++ resources/views/dashboard/index.blade.php	(revision c08466cba95decb77a70c39ab51bc293853de96e)
@@ -145,7 +145,7 @@
                                             @else @if(in_array(explode('.', $file->name)[1], $imageExt))
                                                     <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                        <a href="{{ url('/uploads/' . $file->location) }}" class="image-popup-gallery-item">
+                                                        <a href="{{ url('/storage/' . $file->location) }}" class="image-popup-gallery-item">
                                                             <div class="image-hover">
-                                                                <img src="{{ url('/uploads/' . $file->location) }}" class="rounded" width="30" alt="image">
+                                                                <img src="{{ url('/storage/' . $file->location) }}" class="rounded" width="30" alt="image">
                                                             </div>
                                                         </a>
